Package it.ernytech.tdlib

## Class TdApi.DeleteAccount

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.DeleteAccount

Enclosing class:
  TdApi

    public static class TdApi.DeleteAccount
    extends TdApi.Function

Deletes the account of the current user, deleting all information associated with the user from the server. The phone number of the account can be used to create a new account.

Returns `Ok`

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `reason` The reason why the account was deleted; optional.

### Constructor Summary

Constructors
`DeleteAccount()` Default constructor.
`DeleteAccount​(java.lang.String reason)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### reason

    public java.lang.String reason

The reason why the account was deleted; optional.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### DeleteAccount

    public DeleteAccount()

Default constructor.

#### DeleteAccount

    public DeleteAccount​(java.lang.String reason)

Constructor for initialization of all fields.

Parameters:
  `reason` - The reason why the account was deleted; optional.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR